set(CMAKE_C_COMPILER gcc)
set(CMAKE_CXX_COMPILER g++)
set(CMAKE_BUILD_TYPE Release)

set(PSEMEK_PACKAGE_MODE ON)
set(PSEMEK_PACKAGE_ROOT "${CMAKE_CURRENT_LIST_DIR}")
set(PSEMEK_PACKAGE_HOST ON)
set(PSEMEK_PACKAGE_TARGET OFF)
set(PSEMEK_PACKAGE_TOOLS_PATH "${PSEMEK_PACKAGE_ROOT}/tools")
set(PSEMEK_STACKTRACE OFF)

set(PSEMEK_PACKAGE_COPY_FILES
	${PSEMEK_PACKAGE_ROOT}/sdl2/install/lib/libSDL2-2.0.so.0
)

set(PSEMEK_PACKAGE_COPY_FILES_FREETYPE
	${PSEMEK_PACKAGE_ROOT}/libfreetype.so.6
)

list(APPEND CMAKE_PREFIX_PATH
	"${PSEMEK_PACKAGE_ROOT}/sdl2/install"
)

set(WGPU_NATIVE_ROOT
	"${PSEMEK_PACKAGE_ROOT}/wgpu-native/install"
)
